//Exemplo que irá fazer o ponteiro do mouse se mover em círculo

//https://www.youtube.com/BitaBit

//https://www.bitabittecnologia.com.br

#include <SerialMouseKeyboardControl.h>

SerialMouseKeyboardControl smkc;

int valorEixoX = 0;
int valorEixoY = 0;
int angulo = 0;

void setup() 
{
  //SerialMouseKeyboardControl usa Serial. Defina o Baud Rate desejado.
  //O exemplo utiliza Baud Rate 9600.
  Serial.begin(9600);
}

void loop() 
{
    if(angulo > 360)
    {
      angulo = 0;
    }
    
    valorEixoX = sin(angulo*(PI/180))*7;
    valorEixoY = cos(angulo*(PI/180))*7;
    
    smkc.mouseMove(valorEixoX, valorEixoY); //Move o ponteiro do mouse a partir da posição em que se encontra
    
    angulo++;
    
    delay(10);
}
